Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver	(revision 3184)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver	(revision 3203)
@@ -5,6 +5,10 @@
     IGCM_debug_PushStack "OCE_Initialize"
 
-    RESOL_OCE=$( echo ${config_UserChoices_ExperimentName} | cut -c1-5 )
-    EXPTYPE=$( echo ${config_UserChoices_ExperimentName} | cut -c6- )
+    RESOL_OCE=${config_UserChoices_ExpType%%_*}
+    EXPTYPE=${config_UserChoices_ExpType##*/}
+
+    IGCM_debug_Print 1 " "
+    IGCM_debug_Print 1 "RESOL_OCE        : ${RESOL_OCE}"
+    IGCM_debug_Print 1 "EXPERIMENT TYPE  : ${EXPTYPE}"
 
 # Local function to find namelists parameters
@@ -154,4 +158,11 @@
    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy  ${OPA_NLEAPY}  
 
+# update domain_def.xml file 
+   case ${RESOL_OCE} in 
+       ( *ORCA025* )  
+        sed -e 's/<zoom_domain id="1point" ibegin="139" jbegin="119"/<zoom_domain id="1point" ibegin="600" jbegin="600"/' domain_def.xml > domain_def.xml.tmp  
+         IGCM_sys_Mv domain_def.xml.tmp domain_def.xml  ; 
+   esac 
+
    IGCM_debug_PopStack "OCE_Update"
 }
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver	(revision 3184)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver	(revision 3203)
@@ -12,6 +12,11 @@
 
     if [ X"${pisces_UserChoices_Offline_Mode}" = X"y" ] ; then
-       RESOL_OCE=$( echo ${config_UserChoices_ExperimentName} | cut -c1-5 )
-       EXPTYPE=$( echo ${config_UserChoices_ExperimentName} | cut -c6- )
+       RESOL_OCE=${config_UserChoices_ExpType%%_*}
+       EXPTYPE=${config_UserChoices_ExpType##*/}
+
+       IGCM_debug_Print 1 " "
+       IGCM_debug_Print 1 "RESOL_OCE        : ${RESOL_OCE}"
+       IGCM_debug_Print 1 "EXPERIMENT TYPE  : ${EXPTYPE}"
+
        OPA_RDT=$( supergrep rn_rdt  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_offline_cfg | sed 's/ *rn_rdt *=//' | sed 's/\. *,//' )
        # Period Length In Days between DateBegin and first day of calendar 0001 01 01
@@ -120,4 +125,12 @@
       IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0 ${PeriodDateBegin}
       IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy  ${OPA_NLEAPY}
+
+# update domain_def.xml file 
+      case ${RESOL_OCE} in 
+          ( *ORCA025* )  
+            sed -e 's/<zoom_domain id="1point" ibegin="139" jbegin="119"/<zoom_domain id="1point" ibegin="600" jbegin="600"/' domain_def.xml > domain_def.xml.tmp  
+            IGCM_sys_Mv domain_def.xml.tmp domain_def.xml  ; 
+      esac 
+
    fi
 
